Bug 474123 - anaconda kickstart install - harddrive --dir parameter doesn't work as expected
anaconda kickstart install - harddrive --dir parameter doesn't work as expected
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 05:59 EST by Balázs Miklós
Modified: 2009-09-23 07:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 14:13:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Balázs Miklós 2008-12-02 05:59:27 EST
Description of problem:

Apparently there has been a change in the way that anaconda handles the install harddrive option from the kickstart file. Based on the documentation at 
http://fedoraproject.org/wiki/Anaconda/Kickstart#Chapter_2._Kickstart_Options
the --dir parameter of the harddrive option should point to the root directory of the installation tree.
Instead, we found that for the correct operation, we have to give the full path of stage2's install.img in the --dir parameter.

Version-Release number of selected component (if applicable):
anaconda-11.4.1.62

How reproducible:
Always

Steps to Reproduce:
1. Unpack the Fedora 10 installation DVD on an empty ext3 partition (/dev/sda6).
2. Create a kickstart file (ks.cfg) on the same partition, specifying harddisk --partition=/dev/sda6 --dir=/
3. Create a boot loader entry with the kernel and initrd found in the images/pxeboot/ directory of the install DVD, specifying ks=hd:/dev/sda6/ks.cfg in the kernel parameters, and boot with this configuration.

  
Actual results:
Installation fails after starting STEP_STAGE2. The relevant log messages:
mounting device sda6 for hard drive install
Path to stage2 image is /mnt/isodir
failed to mount loopback device /dev/loop0 on /mnt/runtime as /tmp/install.img


Expected results:
Installation should continue with STAGE2.

Additional info:
Replacing --dir=/ with --dir=/images/install.img in the kickstart file gives the expected results.
Comment 1 Chris Lumens 2009-04-14 16:58:32 EDT
Is this better in rawhide?  There was a bug I fixed that prevented finding the install.img correctly, which could also have fixed this bug too.
Comment 2 david 2009-09-23 07:49:19 EDT
(In reply to comment #1)
> Is this better in rawhide?  There was a bug I fixed that prevented finding the
> install.img correctly, which could also have fixed this bug too. 

Chris, can you point us to related fixed bug?

Note You need to log in before you can comment on or make changes to this bug.